gdcm::ProgressEvent Class Reference

ProgressEvent. More...

`#include <gdcmProgressEvent.h>`

Inheritance diagram for gdcm::ProgressEvent:
[legend]
Collaboration diagram for gdcm::ProgressEvent:
[legend]

## Public Types

typedef ProgressEvent | Self
typedef AnyEvent | Superclass

## Public Member Functions

| ProgressEvent (const Self &s)
| ProgressEvent (double p=0)
| ~ProgressEvent () override=default
bool | CheckEvent (const ::gdcm::Event *e) const override
const char * | GetEventName () const override
double | GetProgress () const
::gdcm::Event * | MakeObject () const override
void | operator= (const Self &)=delete
void | SetProgress (double p)
Public Member Functions inherited from gdcm::Event
| Event ()
| Event (const Event &)
virtual | ~Event ()
virtual bool | CheckEvent (const Event *) const =0
void | operator= (const Event &)=delete
virtual void | Print (std::ostream &os) const

## Detailed Description

ProgressEvent.

Special type of event triggered during

See also
  AnyEvent

Examples
  BasicAnonymizer.cs, Cleaner.cs, and ClinicalTrialIdentificationWorkflow.cs.

## Member Typedef Documentation

## Self

typedef ProgressEvent gdcm::ProgressEvent::Self

## Superclass

typedef AnyEvent gdcm::ProgressEvent::Superclass

## Constructor & Destructor Documentation

## ProgressEvent() [1/2]

gdcm::ProgressEvent::ProgressEvent | ( | double | p = 0 | ) |

inline

## ~ProgressEvent()

gdcm::ProgressEvent::~ProgressEvent | ( |  | ) |

override default

## ProgressEvent() [2/2]

gdcm::ProgressEvent::ProgressEvent | ( | const Self & | s | ) |

inline

## Member Function Documentation

## CheckEvent()

bool gdcm::ProgressEvent::CheckEvent | ( | const ::gdcm::Event * | e | ) | const

inline override

## GetEventName()

const char * gdcm::ProgressEvent::GetEventName | ( |  | ) | const

inline override virtual

Return the StringName associated with the event.

Implements gdcm::Event.

## GetProgress()

double gdcm::ProgressEvent::GetProgress | ( |  | ) | const

inline

Examples
  BasicAnonymizer.cs, Cleaner.cs, and ClinicalTrialIdentificationWorkflow.cs.

## MakeObject()

::gdcm::Event * gdcm::ProgressEvent::MakeObject | ( |  | ) | const

inline override virtual

Create an Event of this type This method work as a Factory for creating events of each particular type.

Implements gdcm::Event.

## operator=()

void gdcm::ProgressEvent::operator= | ( | const Self & |  | ) |

delete

## SetProgress()

void gdcm::ProgressEvent::SetProgress | ( | double | p | ) |

inline

The documentation for this class was generated from the following file:

- gdcmProgressEvent.h